Loading...
Searching...
No Matches
blackoilbrinemodules.hh File Reference

Contains the classes required to extend the black-oil model by brine. More...

`#include <dune/common/fvector.hh>`
`#include <opm/models/blackoil/blackoilbrineparams.hpp>`
`#include <opm/models/blackoil/blackoilproperties.hh>`
`#include <opm/models/discretization/common/fvbaseproperties.hh>`
`#include <opm/models/discretization/common/linearizationtype.hh>`
`#include <opm/models/utils/basicproperties.hh>`
`#include <cassert>`
`#include <istream>`
`#include <ostream>`
`#include <stdexcept>`
`#include <string>`

Go to the source code of this file.

## Classes

class | Opm::BlackOilBrineModule< TypeTag, enableBrineV >
| Contains the high level supplements required to extend the black oil model by brine. More...
class | Opm::BlackOilBrineIntensiveQuantities< TypeTag, true >
class | Opm::BlackOilBrineIntensiveQuantities< TypeTag, false >

## Namespaces

namespace | Opm
| This file contains a set of helper functions used by VFPProd / VFPInj.

## Variables

template<class TypeTag, bool enableBrineV>
BlackOilBrineParams< typename BlackOilBrineModule< TypeTag, enableBrineV >::Scalar > | Opm::BlackOilBrineModule< TypeTag, enableBrineV >::params_

## Detailed Description

Contains the classes required to extend the black-oil model by brine.